
#ifdef __FreeBSD__
#include "opt_altq.h"
#endif
#ifdef LOCALQ	/* localq is enabled by LOCALQ option in opt_altq.h */

#include <sys/param.h>
#include <sys/mbuf.h>
#include <sys/socket.h>
#include <sys/sockio.h>
#include <sys/conf.h>

#include <net/if.h>

/*
 * localq device interface
 */
d_open_t	localqopen;
d_close_t	localqclose;
d_ioctl_t	localqioctl;

int
localqopen(dev, flag, fmt, p)
	dev_t dev;
	int flag, fmt;
	struct proc *p;
{
	/* everything will be done when the queueing scheme is attached. */
	return 0;
}

int
localqclose(dev, flag, fmt, p)
	dev_t dev;
	int flag, fmt;
	struct proc *p;
{
	int error = 0;

	return error;
}

int
localqioctl(dev, cmd, addr, flag, p)
	dev_t dev;
	ioctlcmd_t cmd;
	caddr_t addr;
	int flag;
	struct proc *p;
{
	int error = 0;
	
	return error;
}

#endif /* LOCALQ */
