/*	$NetBSD$	*/
/* $Id: tmc18c30var.h,v 1.1.6.1 1998/07/27 10:49:12 kim Exp $ */
/*
 * [NetBSD for NEC PC98 series]
 *  Copyright (c) 1996 NetBSD/pc98 porting staff.
 *  Copyright (c) 1996 Naofumi HONDA.
 *  Copyright (c) 1996 Kouichi Matsuda.
 *  All rights reserved.
 * 
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *  1. Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef	_TMC18C30VAR_H_
#define	_TMC18C30VAR_H_

/* softc */
struct stg_softc {
	SCSI_LOW_SOFTC

	u_int sc_chip;

	u_int sc_fsz;
	u_int8_t sc_fcb;

	u_int8_t sc_fcWinit;
	u_int8_t sc_fcRinit;

	u_int8_t sc_fcsp;
	u_int8_t sc_icinit;
	u_int8_t sc_busc;
};

#ifdef __NetBSD__
int stgprobe __P((struct device *, struct device *, void *));
void stgattach __P((struct device *, struct device *, void *));
#endif
int stgprint __P((void *, char *));
#endif	/* !_TMC18C30VAR_H_ */
